# $Revision: 1.16 $, $Date: 2002/07/19 21:34:17 $

%include	/usr/lib/rpm/macros.python

%define		module	orbit-python

Summary:	Python binding for ORBit
Summary(pl):	Wizania Pythona do biblioteki ORBit
Name:		python-orbit
Version:	1.99.0
Release:	1
License:	GPL
Group:		Libraries/Python
Source0:	ftp://ftp.gnome.org/pub/GNOME/earthquake/sources/%{module}/%{module}-%{version}.tar.gz
URL:		http://orbit-python.sault.org/
BuildRequires:	ORBit-devel >= 0.5.7
BuildRequires:	glib-devel >= 1.1.4
BuildRequires:	python-devel >= 2.2.1
BuildRequires:	rpm-pythonprov
%pyrequires_eq	python
Obsoletes:	%{module}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Python is an object oriented and dynamically typed language. These two
features make it quite ideal for seamless CORBA bindings. Following
the approach used in CORBA::ORBit (the Perl bindings), ORBit-Python
does away with the need for an IDL compiler. Throw away your stubs and
skeletons! ORBit-Python also takes the dynamic approach one step further by
automatically discovering available IDL modules and transparently loading
them when the corresponding modules get imported. When the IDL files are
loaded, the appropriate objects and classes are created dynamically. This
makes rapid prototyping with CORBA a reality.

%description -l pl
Python jest dynamicznym i obiektowo zorientowanym jzykiem. Te cechy czyni
go niemal idealnym do zastosowa z uyciem technologii CORBA.  Podobnie jak
w przypadku CORBA::ORBit (Perl), ORBit-Python nie wymaga uycia kompilatora
IDL. ORBit-Python korzysta z wasnoci jzyka wyszukujc moduy IDL,
dynamicznie je importujc, a nastpnie tworzc odpowiednie klasy i obiekty.
Szybkie tworzenie oprogramowania za pomoc technologii CORBA staje si
rzeczywistoci.

%package devel
Summary:	Development files for the ORBit Python module
Summary(pt_BR):	Arquivos de desenvolvimento para o mdulo ORBit Python
Summary(pl):	Developerskie pliki dla moduu Pythona ORBit
Group:		Development/Languages/Python
Requires:	%{name} = %{version}
Requires:	python-devel >= 2.1
Requires:	ORBit-devel >= 0.5.7
Obsoletes:	orbit-python-devel

%description devel
This package contains development files needed to develop ORBit Python
based extensions.

%description devel -l pl
Ten pakiet zawiera pliki developerskie potrzebne do rozwijania
rozszerze bazujcych na ORBit Python.

%description devel -l pt_BR
Este pacote contm arquivos de desenvolvimento necessrios  criao
de extenses baseadas no ORBit Python.

%prep
%setup -q -n %{module}-%{version}

%build
CPPFLAGS="$(libIDL-config --cflags)"; export CPPFLAGS
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%attr(755,root,root) %{py_sitedir}/*.so
%attr(755,root,root) %{py_sitedir}/*.la

%files devel
%defattr(644,root,root,755)
%doc examples/*
%{_pkgconfigdir}/*
%{_includedir}/orbit-python*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: python-orbit.spec,v $
Revision 1.16  2002/07/19 21:34:17  wrobell
- clean up

Revision 1.15  2002/07/19 21:28:08  wrobell
- license is GPL

Revision 1.14  2002/07/19 21:26:28  wrobell
- ver. 1.99.0
- new doc

Revision 1.13  2002/04/13 17:34:01  kloczek
- rebuild against pythin 2.2.1.

Revision 1.12  2002/04/11 13:58:14  wrobell
- rel. 4, stb

Revision 1.11  2002/04/11 13:45:34  wrobell
- use pyrequires_eq instead of requires_eq macro (massive attack!)

Revision 1.10  2002/03/18 07:42:04  wrobell
- improved polish description
- devel subpackage group changed to Development/Languages/Python and main
  package to Libraries/Python
- rel. 3
- stb

Revision 1.9  2002/03/15 21:51:44  wrobell
- main package descriptions fixes

Revision 1.8  2002/03/15 18:54:07  wrobell
- use module macro
- pl summary fixed

Revision 1.7  2002/02/23 04:25:51  kloczek
- adapterized.

Revision 1.6  2002/02/22 23:29:39  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.5  2002/02/06 09:05:10  kloczek
- adapterized.

Revision 1.4  2002/02/04 03:19:08  kloczek
- release 2: rebuild against python 2.2 and adapterize spec file.

Revision 1.3  2002/01/18 02:14:44  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.2  2002/01/13 15:20:50  kloczek
- cosmetics.

Revision 1.1  2002/01/13 14:50:11  misiek
- initial(?) pld release
